package com.csnf.service;

import com.csnf.entity.Student;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface IStudentService {
    void addStudent(String name, int sex);
    void deleteStudent(int id);
    void updateStudent(int id, String name, int sex);

    Student queryStudent(int id);
    Student queryStudentByName(String name);
    Student queryStudentByPhone(String phone);
    List<Student> queryStudentByNameAndPhone(@Param("name") String name,@Param("phone") String phone);
}